
#
# Copyright (c) 2000, Invisible Worlds, Inc. All rights reserved.
#
# The contents of this file are subject to the Blocks Public License (the 
# "License"); you may not use this file except in compliance with the License. 
# You may obtain a copy of the License at http://www.invisible.net/
#
# Software distributed under the License is distributed on an "AS IS" basis, 
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for 
# the specific language governing rights and limitations under the License.
#

package Space;

=head1 NAME

Space - Invisible Worlds Blocks SpaceKit for Perl

=head1 SYNOPSIS

Space provides a Perl user with access to the Blocks eXtensible eXchange
Protocol (BXXP) and client/server support libraries.

For additional, detailed information on the blocks architecture, please see
the developer's site at http://mappa.mundi.net/.

=head1 DESCRIPTION

Space is a tool to use for any perl programs that would like to
utilize the Blocks eXtensible eXchange Protocol.  While not a
client or server in and of itself, it provides all of the necessary
back-end functions to make a client (mixer in blocks terminology)
or server feasible and easy to use.  

Space is a wrapper around the rest of the official Space::* packages.
The Perl SpaceKit provides example client and server programs that use
these packages.

=head1 PACKAGES

Space::Mixer - the mixer is a blocks client implementation.  This module
implements the core methods needed for accessing a blocks server to perform
operations like fetch, search, and store.

Space::Server - basic blocks server implementation.  It is missing one core
component to make it a truly useful server, a datastore API.

=head1 AUTHOR

Brad Burdick (bburdick@invisible.net)

=head1 COPYRIGHT

Copyright (c) 1998-2000, Invisible Worlds.  All Rights Reserved.

Please see the LICENSE file distributed with the Blocks SpaceKit for
Perl for further details.

=cut

# minimum version of perl we expect
require 5.004;

use strict;
use Carp;
use vars qw($VERSION);

$Space::VERSION = "1.0";

#
# import Space::* packages and verify minimum version requirements
#

use Space::Server;
($Space::Server::VERSION < $Space::VERSION) &&
  croak("Space::Server $Space::VERSION required--this is only version $Space::Server::VERSION");

use Space::Mixer;
($Space::Mixer::VERSION < $Space::VERSION) &&
  croak("Space::Mixer $Space::VERSION required--this is only version $Space::Mixer::VERSION");


# keep require happy -- DO NOT REMOVE
1;

__END__

